<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/

if (!isset($_SESSION['bot'])) {
	echo "<p>Erst einen Bot ausw&auml;hlen.</p>\n";
} elseif (!isset($_GET['cid'])) {
	// kein Channel ausgewaehlt, also die Channeluebersicht anzeigen
	
	if (!empty($_POST)) {
		// Einen Channel einfuegen
		$db->insert('channel', array('name' => $_POST['channel'], 'bot_id' => $_SESSION['bot']));
	}
	
	if (isset($_GET['action'])) {
		$id = intval($_GET['cdid']);
		switch (strtolower($_GET['action'])) {
			case 'delete':
				// Loeschen des Channels
				$db->query('DELETE FROM channel WHERE name != \'*\' AND id = ' . $id);
				
				// Loeschen aller instllierter Kommandos
				$db->query('DELETE FROM access WHERE channel_id = ' . $id);
			break;
		}
	}
	
	// Ausgabe
	if ($db->query('SELECT c.id, c.name, COUNT(u.id) AS user, c.active FROM channel AS c LEFT JOIN user AS u ON u.channel_id = c.id WHERE c.bot_id = ' . $_SESSION['bot'] . ' GROUP BY c.id ORDER BY name')) {
		echo "<table>\n";
		echo "<tr><th>Channel</th><th>User</th><th>Status</th><th>Optionen</th></tr>\n";
		while ($db->isNext()) {
			$row = $db->getNext();
			printf("<tr><td><a href=\"%s&amp;cid=%s\">%s</a></td><td>%s</td><td style=\"text-align: center;\"><img src=\"icons/%s.png\" alt=\"Status\" /></td><td style=\"text-align: center;\">[ <a href=\"%s&amp;action=delete&amp;cdid=%s\">delete</a> ]</td></tr>\n", 
					$self,
					$row['id'],
					$row['name'],
					$row['user'],
					(int) ($row['active'] || ($row['name'] === '*')),
					$self,
					$row['id']);
		}
		echo "</table>\n";
	} else {
		echo "<p>Keinem Channel beigetreten.</p>";
	}
	
	// Formular
	echo "<form action=\"" . $self . "\" method=\"POST\">\n";
	echo "<p>Folgendem Channel beitreten: <input type=\"text\" name=\"channel\" />.</p>\n";
	echo "<button type=\"submit\" style=\"display: none;\" />\n";
	echo "</form>\n";
	
} else {
	// Channel ausgewaehlt, Benutzer des Channels anzeigen
	
	// Ausgabe
	if ($db->query('SELECT nick, level FROM user WHERE channel_id = ' . intval($_GET['cid']) . ' ORDER BY level DESC, nick')) {
		echo "<table>\n";
		echo "<tr><th></th><th>User</th></tr>\n";
		
		$status = array(	0 =>	'',
							1 =>	'+',
							2 =>	'%',
							4 =>	'@',
							8 =>	'!',
							16 =>	'*');
		
		while ($db->isNext()) {
			$row = $db->getNext();
			printf("<tr><td style=\"text-align: center;\">%s</td><td>%s</td></tr>\n",
					$status[($row['level'] === '0' ? 0 : pow(2, strlen(decbin($row['level'])) - 1))],
					$row['nick']);
		}
		echo "</table>\n";
	} else {
		echo "<p>Keine Benutzer in diesem Channel.</p>";
	}
}

?>