<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/

if (isset($_POST['create'])) {
	// Neuen Bot einfuegen
	$_SESSION['bot'] = $db->insert('bot', array('nick' => $_POST['nick'], 'ident' => $_POST['ident'], 'name' => $_POST['name']));
	$db->insert('channel', array('bot_id' => $_SESSION['bot'], 'name' => '*'));
}

if (isset($_POST['change'])) {
	foreach ($_POST['nick'] as $id => $nick) {
		echo $id, ", ";
		$db->update('bot', array('nick' => $_POST['nick'][$id], 'ident' => $_POST['ident'][$id], 'name' => $_POST['name'][$id]), 'id = ' . (int) $id);
	}
}

// Ueberwsicht ueber bisherige Bots
if ($db->query('SELECT id, nick, ident, name, active FROM bot ORDER BY nick, id')) {
	echo "<form id=\"bar\" action=\"" . $self . "\" method=\"post\">\n";
	echo "<table>\n";
	echo "<tr><th>Nick</th><th>Ident</th><th>Name</th><th>Status</th></tr>\n";
	while ($db->isNext()) {
		$bot = $db->getNext();
		printf("<tr><td><input type=\"text\" name=\"nick[%s]\" value=\"%s\" /></td><td><input type=\"text\" name=\"ident[%s]\" value=\"%s\" /></td><td><input type=\"text\" name=\"name[%s]\" value=\"%s\" /></td><td style=\"text-align: center;\"><img src=\"icons/%s.png\" alt=\"Status\" /></td></tr>\n", 
				$bot['id'], 
				$bot['nick'], 
				$bot['id'], 
				$bot['ident'],
				$bot['id'], 
				$bot['name'],
				(int) @($_SESSION['bot'] == $bot['id']));
	}
	echo "</table>\n";
	echo "<input type=\"submit\" name=\"change\" style=\"display: none;\" />\n";
	echo "</form>\n";
} else {
	echo "Noch keine Bots vorhanden.";
}

// Formular fuer den Weg zum neuen Bot
?>
<p>Einen neuen Bot einf&uuml;gen
<form id="foo" action="<?php echo $self; ?>" method="post">
	<p>Nick: <input type="text" name="nick" value="" /></p>
	<p>Name: <input type="text" name="name" value="" /></p>
	<p>Ident: <input type="text" name="ident" value="" /></p>
	<p><input type="submit" name="create" /></p>
</form>
</p>