# phpMyAdmin SQL Dump
# version 2.5.7-pl1
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Dec 23, 2004 at 12:23 PM
# Server version: 4.0.22
# PHP Version: 5.0.3
# 
# Database : `k_bot`
# 

# --------------------------------------------------------

#
# Table structure for table `access`
#

CREATE TABLE `access` (
  `command_id` smallint(6) NOT NULL default '0',
  `channel_id` smallint(6) NOT NULL default '0',
  `level` tinyint(16) NOT NULL default '0',
  KEY `command_id` (`command_id`,`channel_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `bot`
#

CREATE TABLE `bot` (
  `id` smallint(6) NOT NULL auto_increment,
  `nick` varchar(32) NOT NULL default '',
  `actual_nick` varchar(32) NOT NULL default '',
  `ident` varchar(32) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `active` enum('0','1') default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

# --------------------------------------------------------

#
# Table structure for table `channel`
#

CREATE TABLE `channel` (
  `id` smallint(6) NOT NULL auto_increment,
  `bot_id` smallint(6) NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `active` enum('0','1') default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `bot_id` (`bot_id`)
) TYPE=MyISAM AUTO_INCREMENT=30 ;

# --------------------------------------------------------

#
# Table structure for table `command`
#

CREATE TABLE `command` (
  `id` smallint(6) NOT NULL auto_increment,
  `module_id` smallint(6) NOT NULL default '0',
  `type` enum('action','text','command') NOT NULL default 'action',
  `command` varchar(32) default NULL,
  `descr` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `module_id` (`module_id`),
  KEY `command` (`command`)
) TYPE=MyISAM AUTO_INCREMENT=33 ;

# --------------------------------------------------------

#
# Table structure for table `log`
#

CREATE TABLE `log` (
  `bot_id` smallint(6) NOT NULL default '0',
  `log` text NOT NULL,
  KEY `bot_id` (`bot_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `mod_tictactoe`
#

CREATE TABLE `mod_tictactoe` (
  `id` smallint(6) NOT NULL auto_increment,
  `player` enum('1','2') default '1',
  `move` tinyint(4) default '0',
  `board` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=14 ;

# --------------------------------------------------------

#
# Table structure for table `mod_wetter`
#

CREATE TABLE `mod_wetter` (
  `name` varchar(64) NOT NULL default '',
  `kennzahl` varchar(64) NOT NULL default '',
  KEY `name` (`name`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `module`
#

CREATE TABLE `module` (
  `id` smallint(6) NOT NULL auto_increment,
  `address` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=15 ;

# --------------------------------------------------------

#
# Table structure for table `server`
#

CREATE TABLE `server` (
  `id` smallint(6) NOT NULL auto_increment,
  `bot_id` smallint(6) NOT NULL default '0',
  `host` varchar(64) NOT NULL default '',
  `port` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=14 ;

# --------------------------------------------------------

#
# Table structure for table `user`
#

CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `channel_id` smallint(6) NOT NULL default '0',
  `bot_id` smallint(6) NOT NULL default '0',
  `level` tinyint(4) default '0',
  `nick` varchar(32) NOT NULL default '',
  `ident` varchar(32) default NULL,
  `host` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `channel_id` (`channel_id`),
  KEY `bot_id` (`bot_id`)
) TYPE=MyISAM AUTO_INCREMENT=2927 ;

# --------------------------------------------------------

#
# Table structure for table `user_access`
#

CREATE TABLE `user_access` (
  `id` int(11) NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

# --------------------------------------------------------

#
# Table structure for table `user_access_bot`
#

CREATE TABLE `user_access_bot` (
  `user_access_id` int(11) NOT NULL default '0',
  `bot_id` int(11) NOT NULL default '0',
  `level` tinyint(4) default '0',
  KEY `user_access_id` (`user_access_id`,`bot_id`)
) TYPE=MyISAM;
