<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/
 
/**
 * Suche und Rechnen ueber Google
 */

// Installationsanweisungen fuer den Bot
if (isset($_GET['install'])) {
	echo "command:google(Sucht ueber Google nach den angegebenen Suchbegriffen)\n";
	echo "command:calc(Rechnet einen Mathmatischen Ausdruck aus, und gibt das Ergebnis zurueck)\n";
	die();
}

switch ($_GET['command']) {
	case 'google':
	
		// Anzahl der Links auf 2 setzen
		if (!isset($anz)) $anz = 2;
		// Ergebnisse holen
		$buffer = file_get_contents("http://www.google.de/search?q=" . urlencode($_GET['text']));
	
		$results = array();
		// Ergebnisse auslesen
		if (preg_match_all('/<p\s+class=g>\s*<a\s+href=([^\s>]+)[^>]*>(.*?)<\/a>/ims', $buffer, $matches)) {
	     	foreach ($matches[0] as $key => $value) {  
	          	$results[] = strtr(trim(strip_tags($matches[2][$key])) , array_flip(get_html_translation_table(HTML_SPECIALCHARS))) . ' - (' . strtr(trim(strip_tags($matches[1][$key])) , array_flip(get_html_translation_table(HTML_SPECIALCHARS))) . ')';
			}
		}
		
		// Wenn Ergebnisse erzielt wurden, dann ausgeben
		if (count($results)) {
			for ($i = 0; $i < $anz; $i++) {
				if (!isset($results[$i])) break;
				printf("msg:%s(%02d: %s)\n", $_GET['output'], $i + 1, $results[$i]);
			}
		} else {
			printf("msg:%s(Keine Ergebnisse)\n", $_GET['output']);
		}
	break;
	case 'calc':
		// rechnen ueber die Google-Calc-Funktion
		$buffer = file_get_contents("http://www.google.de/search?q=" . urlencode($_GET['text'] . '='));
		if (preg_match('/<td\s+nowrap\s*><font\s+size=\+1\s*><b>(.*?)<\/b\s*><\/td\s*>/i', $buffer, $match)) {
			printf("msg:%s(%s)\n", $_GET['output'], strip_tags($match[1]));
		} else {
			printf("notice:%s(Error)\n", $_GET['nick']);
		}
	break;
}


?>
