<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/

/**
 * Identifikation eines Benutzers beim Bot
 */
 
// Installationsanweisungen
if (isset($_GET['install'])) {
	echo "command:identify(Identifiziert den Benutzer beim Bot)\n";
	die();
}

// MySQL-Klasse laden und Objekt erstellen
require_once(dirname(__FILE__) . '/../classes/mysql.php');
$mysql = new mysql();

switch ($_GET['command']) {
	case 'identify':
		// passwort ist der uebergebene Parameter
		$password = trim($_GET['text']);
		
		// Entspricht der Benutzer einer gspeicherten Maske und stimmt das passwort
		if ($mysql->query('SELECT uab.level FROM user_access AS ua, user_access_bot AS uab WHERE (\'' . mysql_escape_string($_GET['nick'] . '!' . $_GET['ident'] . '@' . $_GET['host']) . '\' REGEXP ua.mask) AND ua.password = \'' . md5($password) . '\' AND uab.bot_id = ' . intval($_GET['bot']) . ' AND uab.user_access_id = ua.id')) {
			// Level
			$level = (int) $mysql->getSingle();
			
			// Channel-ID holen
			$mysql->query('SELECT id FROM channel WHERE name = \'*\' AND bot_id = ' . intval($_GET['bot']));
			$cid = (int) $mysql->getSingle();
			
			// Steht der Benutzer schon in der Liste der identifizierten benutzer, dann nur das Level updaten
			if ($mysql->query('SELECT id FROM user WHERE channel_id = ' . $cid . ' AND nick = \'' . mysql_escape_string($_GET['nick']) . "'")) {
				// benutzer steht schon in der Liste - nur updaten
				$mysql->update('user', array('level' =>		$level), 'channel_id = ' . $cid . ' AND nick = \'' . mysql_escape_string($_GET['nick']) . "'");
			} else {
				// Einfuegen in die Benutzerliste
				$mysql->insert('user', array(	'channel_id' =>	$cid,
												'bot_id' =>		intval($_GET['bot']),
												'level' =>		$level,
												'nick' =>		$_GET['nick'],
												'ident' =>		$_GET['ident'],
												'host' =>		$_GET['host']));
			}
			echo "msg:" . $_GET['nick'] . "(Identifiziert mit Status $level)\n";
		} else {
			echo "msg:" . $_GET['nick'] . "(Keine gueltige Benutzerkennung)\n";
		}
	break;
}

?>
